Index: /LMDZ5/branches/testing/libf/phylmd/hydrol.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/hydrol.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/hydrol.F90	(revision 2408)
@@ -25,6 +25,4 @@
   ! snow: couverture neigeuse
 
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
 
Index: /LMDZ5/branches/testing/libf/phylmd/infotrac_phy.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/infotrac_phy.F90	(revision 2408)
+++ /LMDZ5/branches/testing/libf/phylmd/infotrac_phy.F90	(revision 2408)
@@ -0,0 +1,209 @@
+
+! $Id: $
+
+MODULE infotrac_phy
+
+! Infotrac for physics; for now contains the same information as infotrac for
+! the dynamics (could be further cleaned) and is initialized using values
+! provided by the dynamics
+
+! nqtot : total number of tracers and higher order of moment, water vapor and liquid included
+  INTEGER, SAVE :: nqtot
+!$OMP THREADPRIVATE(nqtot)
+
+!CR: on ajoute le nombre de traceurs de l eau
+  INTEGER, SAVE :: nqo
+!$OMP THREADPRIVATE(nqo)
+
+! nbtr : number of tracers not including higher order of moment or water vapor or liquid
+!        number of tracers used in the physics
+  INTEGER, SAVE :: nbtr
+!$OMP THREADPRIVATE(nbtr)
+
+! CRisi: nb traceurs pères= directement advectés par l'air
+  INTEGER, SAVE :: nqperes
+
+! Name variables
+  CHARACTER(len=20), ALLOCATABLE, DIMENSION(:), SAVE :: tname ! tracer short name for restart and diagnostics
+  CHARACTER(len=23), ALLOCATABLE, DIMENSION(:), SAVE :: ttext ! tracer long name for diagnostics
+!$OMP THREADPRIVATE(tname,ttext)
+
+!! iadv  : index of trasport schema for each tracer
+!  INTEGER, ALLOCATABLE, DIMENSION(:), SAVE    :: iadv
+
+! niadv : vector keeping the coorspondance between all tracers(nqtot) treated in the 
+!         dynamic part of the code and the tracers (nbtr+2) used in the physics part of the code. 
+  INTEGER, ALLOCATABLE, DIMENSION(:), SAVE    :: niadv ! equivalent dyn / physique
+!$OMP THREADPRIVATE(niadv)
+
+! CRisi: tableaux de fils
+  INTEGER, ALLOCATABLE, DIMENSION(:), SAVE    :: nqfils
+  INTEGER, ALLOCATABLE, DIMENSION(:), SAVE    :: nqdesc ! nombres de fils + nombre de tous les petits fils sur toutes les générations
+  INTEGER, SAVE :: nqdesc_tot
+  INTEGER, ALLOCATABLE, DIMENSION(:,:), SAVE    :: iqfils
+  INTEGER, ALLOCATABLE, DIMENSION(:), SAVE    :: iqpere
+!$OMP THREADPRIVATE(nqfils,nqdesc,nqdesc_tot,iqfils,iqpers)
+
+! conv_flg(it)=0 : convection desactivated for tracer number it 
+  INTEGER, ALLOCATABLE, DIMENSION(:), SAVE  :: conv_flg
+!$OMP THREADPRIVATE(conv_flg)
+
+! pbl_flg(it)=0  : boundary layer diffusion desactivaded for tracer number it 
+  INTEGER, ALLOCATABLE, DIMENSION(:), SAVE  :: pbl_flg
+!$OMP THREADPRIVATE(pbl_flg)
+
+  CHARACTER(len=4),SAVE :: type_trac
+!$OMP THREADPRIVATE(type_trac)
+  CHARACTER(len=8),DIMENSION(:),ALLOCATABLE, SAVE :: solsym
+!$OMP THREADPRIVATE(solsym)
+   
+    ! CRisi: cas particulier des isotopes
+    LOGICAL,SAVE :: ok_isotopes,ok_iso_verif,ok_isotrac,ok_init_iso
+!$OMP THREADPRIVATE(ok_isotopes,ok_iso_verif,ok_isotrac,ok_init_iso)
+    INTEGER :: niso_possibles   
+    PARAMETER ( niso_possibles=5)
+    real, DIMENSION (niso_possibles),SAVE :: tnat,alpha_ideal
+!$OMP THREADPRIVATE(tnat,alpha_ideal)
+    LOGICAL, DIMENSION(niso_possibles),SAVE ::  use_iso
+!$OMP THREADPRIVATE(use_iso)
+    INTEGER, ALLOCATABLE, DIMENSION(:,:), SAVE ::  iqiso ! donne indice iq en fn de (ixt,phase) 
+!$OMP THREADPRIVATE(iqiso)
+    INTEGER, ALLOCATABLE, DIMENSION(:), SAVE ::  iso_num ! donne numéro iso entre 1 et niso_possibles en fn de nqtot
+!$OMP THREADPRIVATE(iso_num)
+    INTEGER, ALLOCATABLE, DIMENSION(:), SAVE ::  iso_indnum ! donne numéro iso entre 1 et niso effectif en fn de nqtot
+!$OMP THREADPRIVATE(iso_indnum)
+    INTEGER, ALLOCATABLE, DIMENSION(:), SAVE ::  zone_num ! donne numéro de la zone de tracage en fn de nqtot
+!$OMP THREADPRIVATE(zone_num)
+    INTEGER, ALLOCATABLE, DIMENSION(:), SAVE ::  phase_num ! donne numéro de la zone de tracage en fn de nqtot
+!$OMP THREADPRIVATE(phase_num)
+    INTEGER, DIMENSION(niso_possibles), SAVE :: indnum_fn_num ! donne indice entre entre 1 et niso en fonction du numéro d isotope entre 1 et niso_possibles
+!$OMP THREADPRIVATE(indnum_fn_num)
+    INTEGER, ALLOCATABLE, DIMENSION(:,:), SAVE ::  index_trac ! numéro ixt en fn izone, indnum entre 1 et niso
+!$OMP THREADPRIVATE(index_trac)
+    INTEGER,SAVE :: niso,ntraceurs_zone,ntraciso
+!$OMP THREADPRIVATE(niso,ntraceurs_zone,ntraciso)
+ 
+CONTAINS
+
+  SUBROUTINE init_infotrac_phy(nqtot_,nqo_,nbtr_,tname_,ttext_,type_trac_,&
+                               niadv_,conv_flg_,pbl_flg_,solsym_,&
+                               nqfils_,nqdesc_,nqdesc_tot_,iqfils_,iqpere_,&
+                               ok_isotopes_,ok_iso_verif_,ok_isotrac_,&
+                               ok_init_iso_,niso_possibles_,tnat_,&
+                               alpha_ideal_,use_iso_,iqiso_,iso_num_,&
+                               iso_indnum_,zone_num_,phase_num_,&
+                               indnum_fn_num_,index_trac_,&
+                               niso_,ntraceurs_zone_,ntraciso_)
+  ! transfer information on tracers from dynamics to physics
+  USE print_control_mod, ONLY: prt_level, lunout
+  IMPLICIT NONE
+    INTEGER,INTENT(IN) :: nqtot_
+    INTEGER,INTENT(IN) :: nqo_
+    INTEGER,INTENT(IN) :: nbtr_
+    CHARACTER(len=20),INTENT(IN) :: tname_(nqtot_) ! tracer short name for restart and diagnostics
+    CHARACTER(len=23),INTENT(IN) :: ttext_(nqtot_) ! tracer long name for diagnostics
+    CHARACTER(len=4),INTENT(IN) :: type_trac_
+    INTEGER,INTENT(IN) :: niadv_ (nqtot_) ! equivalent dyn / physique
+    INTEGER,INTENT(IN) :: conv_flg_(nbtr_)
+    INTEGER,INTENT(IN) :: pbl_flg_(nbtr_)
+    CHARACTER(len=8),INTENT(IN) :: solsym_(nbtr_)
+    ! Isotopes:
+    INTEGER,INTENT(IN) :: nqfils_(nqtot_)
+    INTEGER,INTENT(IN) :: nqdesc_(nqtot_)
+    INTEGER,INTENT(IN) :: nqdesc_tot_
+    INTEGER,INTENT(IN) :: iqfils_(nqtot_,nqtot_)
+    INTEGER,INTENT(IN) :: iqpere_(nqtot_)
+    LOGICAL,INTENT(IN) :: ok_isotopes_
+    LOGICAL,INTENT(IN) :: ok_iso_verif_
+    LOGICAL,INTENT(IN) :: ok_isotrac_
+    LOGICAL,INTENT(IN) :: ok_init_iso_
+    INTEGER,INTENT(IN) :: niso_possibles_
+    REAL,INTENT(IN) :: tnat_(niso_possibles_)
+    REAL,INTENT(IN) :: alpha_ideal_(niso_possibles_)
+    LOGICAL,INTENT(IN) :: use_iso_(niso_possibles_)
+    INTEGER,INTENT(IN) :: iqiso_(ntraciso_,nqo_)
+    INTEGER,INTENT(IN) :: iso_num_(nqtot_)
+    INTEGER,INTENT(IN) :: iso_indnum_(nqtot_)
+    INTEGER,INTENT(IN) :: zone_num_(nqtot_)
+    INTEGER,INTENT(IN) :: phase_num_(nqtot_)
+    INTEGER,INTENT(IN) :: indnum_fn_num_(niso_possibles_)
+    INTEGER,INTENT(IN) :: index_trac_(ntraceurs_zone_,niso_)
+    INTEGER,INTENT(IN) :: niso_
+    INTEGER,INTENT(IN) :: ntraceurs_zone_
+    INTEGER,INTENT(IN) :: ntraciso_
+
+    CHARACTER(LEN=30) :: modname="init_infotrac_phy"
+
+    nqtot=nqtot_
+    nqo=nqo_
+    nbtr=nbtr_
+    ALLOCATE(tname(nqtot))
+    tname(:) = tname_(:)
+    ALLOCATE(ttext(nqtot))
+    ttext(:) = ttext_(:)
+    type_trac = type_trac_
+    ALLOCATE(niadv(nqtot))
+    niadv(:)=niadv_(:)
+    ALLOCATE(conv_flg(nbtr))
+    conv_flg(:)=conv_flg_(:)
+    ALLOCATE(pbl_flg(nbtr))
+    pbl_flg(:)=pbl_flg_(:)
+    ALLOCATE(solsym(nbtr))
+    solsym(:)=solsym_(:)
+  
+    IF(prt_level.ge.1) THEN
+      write(lunout,*) TRIM(modname)//": nqtot,nqo,nbtr",nqtot,nqo,nbtr
+    ENDIF
+    
+    ! Isotopes:
+    
+    ! First check that the "niso_possibles" has the correct value
+    IF (niso_possibles.ne.niso_possibles_) THEN
+      CALL abort_physic(modname,&
+           "wrong value for parameter niso_possibles in infotrac_phy",1)
+    ENDIF
+    
+    ok_isotopes=ok_isotopes_
+    ok_iso_verif=ok_iso_verif_
+    ok_isotrac=ok_isotrac_
+    ok_init_iso=ok_init_iso_
+    
+    niso=niso_
+    ntraceurs_zone=ntraceurs_zone_
+    ntraciso=ntraciso_
+    
+    IF (ok_isotopes) THEN
+      ALLOCATE(nqfils(nqtot))
+      nqfils(:)=nqfils_(:)
+      ALLOCATE(nqdesc(nqtot))
+      nqdesc(:)=nqdesc_(:)
+      nqdesc_tot=nqdesc_tot_
+      ALLOCATE(iqfils(nqtot,nqtot))
+      iqfils(:,:)=iqfils_(:,:)
+      ALLOCATE(iqpere(nqtot))
+      iqpere(:)=iqpere_(:)
+    
+      tnat(:)=tnat_(:)
+      alpha_ideal(:)=alpha_ideal_(:)
+      use_iso(:)=use_iso_(:)
+    
+      ALLOCATE(iqiso(ntraciso,nqo))
+      iqiso(:,:)=iqiso_(:,:)
+      ALLOCATE(iso_num(nqtot))
+      iso_num(:)=iso_num_(:)
+      ALLOCATE(iso_indnum(nqtot))
+      iso_indnum(:)=iso_indnum_(:)
+      ALLOCATE(zone_num(nqtot))
+      zone_num(:)=zone_num_(:)
+      ALLOCATE(phase_num(nqtot))
+      phase_num(:)=phase_num_(:)
+      
+      indnum_fn_num(:)=indnum_fn_num_(:)
+      
+      ALLOCATE(index_trac(ntraceurs_zone,niso))
+      index_trac(:,:)=index_trac_(:,:)
+    ENDIF ! of IF(ok_isotopes)
+  
+  END SUBROUTINE init_infotrac_phy
+
+END MODULE infotrac_phy
Index: /LMDZ5/branches/testing/libf/phylmd/ini_histday_seri.h
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/ini_histday_seri.h	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/ini_histday_seri.h	(revision 2408)
@@ -7,5 +7,5 @@
       IF (type_run.EQ."AMIP") THEN
 !
-       zstophy = dtime
+       zstophy = pdtphys
        zout = ecrit_day
 !
@@ -13,13 +13,13 @@
          CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
 !
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
-         DO i = 1, iim
+         CALL gr_fi_ecrit(1,klon,nbp_lon,nbp_lat,rlon,zx_lon)
+         DO i = 1, nbp_lon
             zx_lon(i,1) = rlon(i+1)
-            zx_lon(i,jjmp1) = rlon(i+1)
+            zx_lon(i,nbp_lat) = rlon(i+1)
          ENDDO
          DO ll=1,klev
             znivsig(ll)=REAL(ll)
          ENDDO
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
+         CALL gr_fi_ecrit(1,klon,nbp_lon,nbp_lat,rlat,zx_lat)
 !
          imin_debut=1 
@@ -29,5 +29,5 @@
 !
          CALL histbeg("histday_seri.nc",  &
-                       iim,zx_lon(:,1), jjmp1,zx_lat(1,:), &
+                       nbp_lon,zx_lon(:,1),nbp_lat,zx_lat(1,:), &
                        imin_debut,nbpti,jmin_debut,nbptj, &
                        itau_phy, zjulian, dtime, &
@@ -40,15 +40,15 @@
          CALL histdef(nid_day_seri, "bilTOA",  &
                       "Net radiation at model top", "W/m2", &
-                      iim,jjmp1,nhori, 1,1,1, -99, 32,  &
+                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32,  &
                       "ave(X)", zstophy,zout)
 !
          CALL histdef(nid_day_seri, "bils",  &
                       "Net downward energy flux at surface","W/m2", &
-                      iim,jjmp1,nhori, 1,1,1, -99, 32,  &
+                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32,  &
                       "ave(X)", zstophy,zout)
 !
          CALL histdef(nid_day_seri, "ecin",  &
                       "Total kinetic energy (per unit area)","J/m2", &
-                      iim,jjmp1,nhori, 1,1,1, -99, 32, &
+                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32, &
                       "ave(X)", zstophy,zout)
 !
@@ -59,15 +59,15 @@
                      "Total relative angular momentum (per unit area)", &
                      "kg/s", &
-                      iim,jjmp1,nhori, 1,1,1, -99, 32, &
+                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32, &
                       "ave(X)", zstophy,zout)
 !
          CALL histdef(nid_day_seri, "frictor",  &
                      "Friction torque (per unit area)", "N/m", &
-                      iim,jjmp1,nhori, 1,1,1, -99, 32, &
+                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32, &
                       "ave(X)", zstophy,zout)
 !
          CALL histdef(nid_day_seri, "mountor",  &
                      "Mountain torque (per unit area)", "N/m", &
-                      iim,jjmp1,nhori, 1,1,1, -99, 32, &
+                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32, &
                       "ave(X)", zstophy,zout)
 !
@@ -77,10 +77,10 @@
                      "Axial angular momentum (per unit area)", &
                      "kg/s", &
-                      iim,jjmp1,nhori, 1,1,1, -99, 32, &
+                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32, &
                       "ave(X)", zstophy,zout)
 !
          CALL histdef(nid_day_seri, "torsfc",  &
               "Total surface torque (including mountain torque)", "N/m", &
-                      iim,jjmp1,nhori, 1,1,1, -99, 32, &
+                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32, &
                       "ave(X)", zstophy,zout)
 !
@@ -89,10 +89,10 @@
          CALL histdef(nid_day_seri, "tamv",  &
                       "Temperature (mass-weighted vert. ave)", "K", &
-                      iim,jjmp1,nhori, 1,1,1, -99, 32, &
+                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32, &
                       "ave(X)", zstophy,zout)
 !
          CALL histdef(nid_day_seri, "psol",  &
                       "Surface pressure", "Pa", &
-                      iim,jjmp1,nhori, 1,1,1, -99, 32,  &
+                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32,  &
                       "ave(X)", zstophy,zout)
 !
@@ -100,5 +100,5 @@
                       "Evaporation and sublimation (per unit area)",  &
                       "kg/(m2*s)", &
-                      iim,jjmp1,nhori, 1,1,1, -99, 32,  &
+                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32,  &
                       "ave(X)", zstophy,zout)
 !
@@ -106,5 +106,5 @@
 !    .         "SnowFrac", 
 !    .         "Snow-covered area ", "%",  
-!    .         iim,jjmp1,nhori, 1,1,1, -99, 32,
+!    .         nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32,
 !    .         "ave(X)", zstophy,zout)
 !
@@ -113,5 +113,5 @@
 !IM 191104  .                "Snow Depth (water equivalent)", "kg/m2",
 !    .                "Snow Mass", "kg/m2",
-!    .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+!    .                nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32, 
 !    .               "ave(X)", zstophy,zout)
 !
@@ -119,5 +119,5 @@
                "tsol_"//clnsurf(is_oce),  &
                "SST over open (ice-free) ocean ", "K",   &
-               iim,jjmp1,nhori, 1,1,1, -99, 32, &
+               nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32, &
                "ave(X)", zstophy,zout)
 !
Index: /LMDZ5/branches/testing/libf/phylmd/ini_paramLMDZ_phy.h
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/ini_paramLMDZ_phy.h	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/ini_paramLMDZ_phy.h	(revision 2408)
@@ -9,5 +9,5 @@
       if (is_mpi_root) then
 !
-       zstophy = dtime
+       zstophy = pdtphys
        zout = mth_len*un_jour
 !
@@ -15,12 +15,12 @@
        CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
 !
-       CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon_glo,zx_lon)
-       if (iim.gt.1) then
-       DO i = 1, iim
+       CALL gr_fi_ecrit(1,klon,nbp_lon,nbp_lat,rlon_glo,zx_lon)
+       if (nbp_lon.gt.1) then
+       DO i = 1, nbp_lon
          zx_lon(i,1) = rlon_glo(i+1)
-         zx_lon(i,jjmp1) = rlon_glo(i+1)
+         zx_lon(i,nbp_lat) = rlon_glo(i+1)
        ENDDO
        endif
-       CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat_glo,zx_lat)
+       CALL gr_fi_ecrit(1,klon,nbp_lon,nbp_lat,rlat_glo,zx_lat)
 !
        CALL histbeg("paramLMDZ_phy.nc",  &
Index: /LMDZ5/branches/testing/libf/phylmd/ini_undefSTD.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/ini_undefSTD.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/ini_undefSTD.F90	(revision 2408)
@@ -31,7 +31,4 @@
   ! ====================================================================
 
-  ! ym #include "dimensions.h"
-  ! ym      integer jjmp1
-  ! ym      parameter (jjmp1=jjm+1-1/jjm)
   ! ym #include "dimphy.h"
   ! variables Input/Output
Index: /LMDZ5/branches/testing/libf/phylmd/ini_wake.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/ini_wake.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/ini_wake.F90	(revision 2408)
@@ -4,4 +4,5 @@
 SUBROUTINE ini_wake(wape, fip, it_wape_prescr, wape_prescr, fip_prescr, &
     alp_bl_prescr, ale_bl_prescr)
+  USE print_control_mod, ONLY: lunout
   IMPLICIT NONE
   ! **************************************************************
@@ -38,5 +39,4 @@
   ! alpbl  = Alp de PBL lue
 
-  include 'iniprint.h'
   ! declarations
   REAL wape, fip, wape_prescr, fip_prescr
Index: /LMDZ5/branches/testing/libf/phylmd/inifis_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/inifis_mod.F90	(revision 2408)
+++ /LMDZ5/branches/testing/libf/phylmd/inifis_mod.F90	(revision 2408)
@@ -0,0 +1,80 @@
+! $Id$
+MODULE inifis_mod
+
+CONTAINS
+
+  SUBROUTINE inifis(punjours, prad, pg, pr, pcpp)
+  ! Initialize some physical constants and settings
+  USE print_control_mod, ONLY: init_print_control, lunout
+  IMPLICIT NONE
+
+  include "YOMCST.h"
+  REAL,INTENT(IN) :: prad, pg, pr, pcpp, punjours
+
+  CHARACTER (LEN=20) :: modname = 'inifis'
+  CHARACTER (LEN=80) :: abort_message
+
+  ! Initialize flags lunout, prt_level, debug
+  CALL init_print_control
+
+  ! suphel => initialize some physical constants (orbital parameters,
+  !           geoid, gravity, thermodynamical constants, etc.) in the
+  !           physics
+  CALL suphel
+
+  ! check that physical constants set in 'suphel' are coherent
+  ! with values set in the dynamics:
+  IF (rday/=punjours) THEN
+    WRITE (lunout, *) 'inifis: length of day discrepancy!!!'
+    WRITE (lunout, *) '  in the dynamics punjours=', punjours
+    WRITE (lunout, *) '   but in the physics RDAY=', rday
+    IF (abs(rday-punjours)>0.01*punjours) THEN
+        ! stop here if the relative difference is more than 1%
+      abort_message = 'length of day discrepancy'
+      CALL abort_physic(modname, abort_message, 1)
+    END IF
+  END IF
+  IF (rg/=pg) THEN
+    WRITE (lunout, *) 'inifis: gravity discrepancy !!!'
+    WRITE (lunout, *) '     in the dynamics pg=', pg
+    WRITE (lunout, *) '  but in the physics RG=', rg
+    IF (abs(rg-pg)>0.01*pg) THEN
+        ! stop here if the relative difference is more than 1%
+      abort_message = 'gravity discrepancy'
+      CALL abort_physic(modname, abort_message, 1)
+    END IF
+  END IF
+  IF (ra/=prad) THEN
+    WRITE (lunout, *) 'inifis: planet radius discrepancy !!!'
+    WRITE (lunout, *) '   in the dynamics prad=', prad
+    WRITE (lunout, *) '  but in the physics RA=', ra
+    IF (abs(ra-prad)>0.01*prad) THEN
+        ! stop here if the relative difference is more than 1%
+      abort_message = 'planet radius discrepancy'
+      CALL abort_physic(modname, abort_message, 1)
+    END IF
+  END IF
+  IF (rd/=pr) THEN
+    WRITE (lunout, *) 'inifis: reduced gas constant discrepancy !!!'
+    WRITE (lunout, *) '     in the dynamics pr=', pr
+    WRITE (lunout, *) '  but in the physics RD=', rd
+    IF (abs(rd-pr)>0.01*pr) THEN
+        ! stop here if the relative difference is more than 1%
+      abort_message = 'reduced gas constant discrepancy'
+      CALL abort_physic(modname, abort_message, 1)
+    END IF
+  END IF
+  IF (rcpd/=pcpp) THEN
+    WRITE (lunout, *) 'inifis: specific heat discrepancy !!!'
+    WRITE (lunout, *) '     in the dynamics pcpp=', pcpp
+    WRITE (lunout, *) '  but in the physics RCPD=', rcpd
+    IF (abs(rcpd-pcpp)>0.01*pcpp) THEN
+        ! stop here if the relative difference is more than 1%
+      abort_message = 'specific heat discrepancy'
+      CALL abort_physic(modname, abort_message, 1)
+    END IF
+  END IF
+
+  END SUBROUTINE inifis
+  
+END MODULE inifis_mod
Index: /LMDZ5/branches/testing/libf/phylmd/init_be.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/init_be.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/init_be.F90	(revision 2408)
@@ -5,7 +5,7 @@
 
   USE dimphy
-  USE comgeomphy
-  USE infotrac, ONLY : nbtr
+  USE infotrac_phy, ONLY : nbtr
   USE indice_sol_mod
+  USE geometry_mod, ONLY : longitude, latitude
     
   IMPLICIT NONE 
@@ -65,5 +65,5 @@
 ! la source est maintenant définie independemment de la valeur de klev.
 !!! Source actuellement definie pour klev = 19 et klev >= 39
-!!  IF (klev /= 19 .AND. klev<39) CALL abort_gcm("init_be","Source du be7 necessite klev=19 ou klev>=39",1)
+!!  IF (klev /= 19 .AND. klev<39) CALL abort_physic("init_be","Source du be7 necessite klev=19 ou klev>=39",1)
 !!!
 ! Definition des constantes
@@ -114,8 +114,8 @@
 
   DO i = 1,klon
-     qcos=sin(glt)*sin(rlatd(i))
+     qcos=sin(glt)*sin(latitude(i))
 !!jyg
-!!     qcos=qcos+cos(glt)*cos(rlatd(i))*cos(rlond(i)+glg)
-     qcos=qcos+cos(glt)*cos(rlatd(i))*cos(rlond(i)-glg)
+!!     qcos=qcos+cos(glt)*cos(latitude(i))*cos(longitude(i)+glg)
+     qcos=qcos+cos(glt)*cos(latitude(i))*cos(longitude(i)-glg)
 !!jyg end
      IF ( qcos .LT. -1.) qcos = -1.
Index: /LMDZ5/branches/testing/libf/phylmd/initphysto.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/initphysto.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/initphysto.F90	(revision 2408)
@@ -8,6 +8,7 @@
   USE IOIPSL
   USE iophy
-  USE control_mod
   USE indice_sol_mod
+  USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, nbp_lev
+  USE time_phylmdz_mod, ONLY: day_ref, annee_ref
   
   IMPLICIT NONE
@@ -37,14 +38,4 @@
 !
 ! =====================================================================
-!
-!   Declarations
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
-  INCLUDE "comconst.h"
-  INCLUDE "comgeom.h"
-  INCLUDE "temps.h"
-  INCLUDE "logic.h"
-  INCLUDE "description.h"
-  INCLUDE "serre.h"
 
 !   Arguments
@@ -58,5 +49,5 @@
   INTEGER nhoriid, i
   INTEGER l,k
-  REAL nivsigs(llm)
+  REAL nivsigs(nbp_lev)
   INTEGER tau0
   REAL zjulian
@@ -66,10 +57,9 @@
   INTEGER zan, idayref
   LOGICAL ok_sync
-  REAL zx_lon(iim,jjm+1), zx_lat(iim,jjm+1)
+  REAL zx_lon(nbp_lon,nbp_lat), zx_lat(nbp_lon,nbp_lat)
   CHARACTER(len=12) :: nvar
 
 !  Initialisations
 !
-  pi = 4. * ATAN (1.)
   ok_sync= .TRUE.
 !
@@ -88,5 +78,5 @@
 !  Appel a histvert pour la grille verticale
 !
-  DO l=1,llm
+  DO l=1,nbp_lev
      nivsigs(l)=REAL(l)
   ENDDO
@@ -94,107 +84,107 @@
   CALL histvert(fileid, 'sig_s', 'Niveaux sigma', &
        'sigma_level', &
-       llm, nivsigs, zvertiid)
+       nbp_lev, nivsigs, zvertiid)
 !
 !  Appels a histdef pour la definition des variables a sauvegarder
 !
   CALL histdef(fileid, "phis", "Surface geop. height", "-", &
-       iim,jj_nb,nhoriid, 1,1,1, -99, 32, &
+       nbp_lon,jj_nb,nhoriid, 1,1,1, -99, 32, &
        "once", t_ops, t_wrt)
   
   CALL histdef(fileid, "aire", "Grid area", "-", &
-       iim,jj_nb,nhoriid, 1,1,1, -99, 32, &
+       nbp_lon,jj_nb,nhoriid, 1,1,1, -99, 32, &
        "once", t_ops, t_wrt)
 
   CALL histdef(fileid, "longitudes", "longitudes", "-", &
-       iim,jj_nb,nhoriid, 1,1,1, -99, 32, &
+       nbp_lon,jj_nb,nhoriid, 1,1,1, -99, 32, &
        "once", t_ops, t_wrt)
 
   CALL histdef(fileid, "latitudes", "latitudes", "-", &
-       iim,jj_nb,nhoriid, 1,1,1, -99, 32, &
+       nbp_lon,jj_nb,nhoriid, 1,1,1, -99, 32, &
        "once", t_ops, t_wrt)
 ! T 
-  CALL histdef(fileid, 't', 'Temperature', 'K', iim, jj_nb, nhoriid, &
-       llm, 1, llm, zvertiid, 32, 'inst(X)', t_ops, t_wrt)
+  CALL histdef(fileid, 't', 'Temperature', 'K', nbp_lon, jj_nb, nhoriid, &
+       nbp_lev, 1, nbp_lev, zvertiid, 32, 'inst(X)', t_ops, t_wrt)
 ! mfu 
-  CALL histdef(fileid, 'mfu', 'flx m. pan. mt', 'kg m/s',iim, jj_nb, nhoriid, &
-       llm, 1, llm, zvertiid,32, 'inst(X)', t_ops, t_wrt)
+  CALL histdef(fileid, 'mfu', 'flx m. pan. mt', 'kg m/s',nbp_lon, jj_nb, nhoriid, &
+       nbp_lev, 1, nbp_lev, zvertiid,32, 'inst(X)', t_ops, t_wrt)
 ! mfd 
-  CALL histdef(fileid, 'mfd', 'flx m. pan. des', 'kg m/s',iim, jj_nb, nhoriid, &
-       llm, 1, llm, zvertiid, 32, 'inst(X)', t_ops, t_wrt)
+  CALL histdef(fileid, 'mfd', 'flx m. pan. des', 'kg m/s',nbp_lon, jj_nb, nhoriid, &
+       nbp_lev, 1, nbp_lev, zvertiid, 32, 'inst(X)', t_ops, t_wrt)
 ! en_u 
-  CALL histdef(fileid, 'en_u', 'flx ent pan mt', 'kg m/s', iim, jj_nb, nhoriid, &
-       llm, 1, llm, zvertiid,32, 'inst(X)', t_ops, t_wrt)
+  CALL histdef(fileid, 'en_u', 'flx ent pan mt', 'kg m/s', nbp_lon, jj_nb, nhoriid, &
+       nbp_lev, 1, nbp_lev, zvertiid,32, 'inst(X)', t_ops, t_wrt)
 ! de_u 
-  CALL histdef(fileid, 'de_u', 'flx det pan mt', 'kg m/s',iim, jj_nb, nhoriid, &
-       llm, 1, llm, zvertiid,32, 'inst(X)', t_ops, t_wrt)
+  CALL histdef(fileid, 'de_u', 'flx det pan mt', 'kg m/s',nbp_lon, jj_nb, nhoriid, &
+       nbp_lev, 1, nbp_lev, zvertiid,32, 'inst(X)', t_ops, t_wrt)
 ! en_d 
-  CALL histdef(fileid, 'en_d', 'flx ent pan dt', 'kg m/s', iim, jj_nb, nhoriid, &
-       llm, 1, llm, zvertiid,32, 'inst(X)', t_ops, t_wrt)
+  CALL histdef(fileid, 'en_d', 'flx ent pan dt', 'kg m/s', nbp_lon, jj_nb, nhoriid, &
+       nbp_lev, 1, nbp_lev, zvertiid,32, 'inst(X)', t_ops, t_wrt)
 ! de_d 
-  CALL histdef(fileid, 'de_d', 'flx det pan dt', 'kg m/s', iim, jj_nb, nhoriid, &
-       llm, 1, llm, zvertiid, 32, 'inst(X)', t_ops, t_wrt)
+  CALL histdef(fileid, 'de_d', 'flx det pan dt', 'kg m/s', nbp_lon, jj_nb, nhoriid, &
+       nbp_lev, 1, nbp_lev, zvertiid, 32, 'inst(X)', t_ops, t_wrt)
 ! coefh
-  CALL histdef(fileid, "coefh", " ", " ", iim, jj_nb, nhoriid, &
-       llm, 1, llm, zvertiid,32, "inst(X)", t_ops, t_wrt)
+  CALL histdef(fileid, "coefh", " ", " ", nbp_lon, jj_nb, nhoriid, &
+       nbp_lev, 1, nbp_lev, zvertiid,32, "inst(X)", t_ops, t_wrt)
 ! fm_th
-  CALL histdef(fileid, "fm_th", " ", " ",iim, jj_nb, nhoriid, &
-       llm, 1, llm, zvertiid,32, "inst(X)", t_ops, t_wrt)
+  CALL histdef(fileid, "fm_th", " ", " ",nbp_lon, jj_nb, nhoriid, &
+       nbp_lev, 1, nbp_lev, zvertiid,32, "inst(X)", t_ops, t_wrt)
 ! en_th
-  CALL histdef(fileid, "en_th", " ", " ",iim, jj_nb, nhoriid, &
-       llm, 1, llm, zvertiid,32, "inst(X)", t_ops, t_wrt)
+  CALL histdef(fileid, "en_th", " ", " ",nbp_lon, jj_nb, nhoriid, &
+       nbp_lev, 1, nbp_lev, zvertiid,32, "inst(X)", t_ops, t_wrt)
 ! frac_impa
-  CALL histdef(fileid, 'frac_impa', ' ', ' ',iim, jj_nb, nhoriid, &
-       llm, 1, llm, zvertiid,32, 'inst(X)', t_ops, t_wrt)
+  CALL histdef(fileid, 'frac_impa', ' ', ' ',nbp_lon, jj_nb, nhoriid, &
+       nbp_lev, 1, nbp_lev, zvertiid,32, 'inst(X)', t_ops, t_wrt)
 ! frac_nucl
-  CALL histdef(fileid, 'frac_nucl', ' ', ' ',iim, jj_nb, nhoriid, &
-       llm, 1, llm, zvertiid,32, 'inst(X)', t_ops, t_wrt)
+  CALL histdef(fileid, 'frac_nucl', ' ', ' ',nbp_lon, jj_nb, nhoriid, &
+       nbp_lev, 1, nbp_lev, zvertiid,32, 'inst(X)', t_ops, t_wrt)
 ! pyu1
-  CALL histdef(fileid, "pyu1", " ", " ", iim,jj_nb,nhoriid, &
+  CALL histdef(fileid, "pyu1", " ", " ", nbp_lon,jj_nb,nhoriid, &
        1,1,1, -99, 32, "inst(X)", t_ops, t_wrt)
 ! pyv1
-  CALL histdef(fileid, "pyv1", " ", " ", iim,jj_nb,nhoriid, &
+  CALL histdef(fileid, "pyv1", " ", " ", nbp_lon,jj_nb,nhoriid, &
        1,1,1, -99, 32,"inst(X)", t_ops, t_wrt)    
 ! ftsol1
-  CALL histdef(fileid, "ftsol1", " ", " ",iim, jj_nb, nhoriid, &
+  CALL histdef(fileid, "ftsol1", " ", " ",nbp_lon, jj_nb, nhoriid, &
        1, 1,1, -99,32, "inst(X)", t_ops, t_wrt)
 ! ftsol2
-  CALL histdef(fileid, "ftsol2", " ", " ",iim, jj_nb, nhoriid, &
+  CALL histdef(fileid, "ftsol2", " ", " ",nbp_lon, jj_nb, nhoriid, &
        1, 1,1, -99,32, "inst(X)", t_ops, t_wrt)
 ! ftsol3
-  CALL histdef(fileid, "ftsol3", " ", " ", iim, jj_nb, nhoriid, &
+  CALL histdef(fileid, "ftsol3", " ", " ", nbp_lon, jj_nb, nhoriid, &
        1, 1,1, -99,32, "inst(X)", t_ops, t_wrt)
 ! ftsol4
-  CALL histdef(fileid, "ftsol4", " ", " ",iim, jj_nb, nhoriid, &
+  CALL histdef(fileid, "ftsol4", " ", " ",nbp_lon, jj_nb, nhoriid, &
        1, 1,1, -99, 32, "inst(X)", t_ops, t_wrt)
 ! psrf1
-  CALL histdef(fileid, "psrf1", " ", " ",iim, jj_nb, nhoriid, &
+  CALL histdef(fileid, "psrf1", " ", " ",nbp_lon, jj_nb, nhoriid, &
        1, 1, 1, -99,32, "inst(X)", t_ops, t_wrt)
 ! psrf2
-  CALL histdef(fileid, "psrf2", " ", " ",iim, jj_nb, nhoriid, &
+  CALL histdef(fileid, "psrf2", " ", " ",nbp_lon, jj_nb, nhoriid, &
        1, 1, 1, -99, 32, "inst(X)", t_ops, t_wrt)
 ! psrf3
-  CALL histdef(fileid, "psrf3", " ", " ",iim, jj_nb, nhoriid, &
+  CALL histdef(fileid, "psrf3", " ", " ",nbp_lon, jj_nb, nhoriid, &
        1, 1, 1, -99, 32, "inst(X)", t_ops, t_wrt)
 ! psrf4
-  CALL histdef(fileid, "psrf4", " ", " ", iim, jj_nb, nhoriid, &
+  CALL histdef(fileid, "psrf4", " ", " ", nbp_lon, jj_nb, nhoriid, &
        1, 1, 1, -99,32, "inst(X)", t_ops, t_wrt)
 ! sh
-  CALL histdef(fileid, 'sh', '', '', iim, jj_nb, nhoriid, &
-       llm, 1, llm, zvertiid, 32, 'inst(X)', t_ops, t_wrt)
+  CALL histdef(fileid, 'sh', '', '', nbp_lon, jj_nb, nhoriid, &
+       nbp_lev, 1, nbp_lev, zvertiid, 32, 'inst(X)', t_ops, t_wrt)
 ! da
-  CALL histdef(fileid, 'da', '', '', iim, jj_nb, nhoriid, &
-       llm, 1, llm, zvertiid, 32, 'inst(X)', t_ops, t_wrt)
+  CALL histdef(fileid, 'da', '', '', nbp_lon, jj_nb, nhoriid, &
+       nbp_lev, 1, nbp_lev, zvertiid, 32, 'inst(X)', t_ops, t_wrt)
 ! mp
-  CALL histdef(fileid, 'mp', '', '', iim, jj_nb, nhoriid, &
-       llm, 1, llm, zvertiid, 32, 'inst(X)', t_ops, t_wrt)
+  CALL histdef(fileid, 'mp', '', '', nbp_lon, jj_nb, nhoriid, &
+       nbp_lev, 1, nbp_lev, zvertiid, 32, 'inst(X)', t_ops, t_wrt)
 ! upwd
-  CALL histdef(fileid, 'upwd', '', '', iim, jj_nb, nhoriid, &
-       llm, 1, llm, zvertiid, 32, 'inst(X)', t_ops, t_wrt)
+  CALL histdef(fileid, 'upwd', '', '', nbp_lon, jj_nb, nhoriid, &
+       nbp_lev, 1, nbp_lev, zvertiid, 32, 'inst(X)', t_ops, t_wrt)
 ! dnwd
-  CALL histdef(fileid, 'dnwd', '', '', iim, jj_nb, nhoriid, &
-       llm, 1, llm, zvertiid, 32, 'inst(X)', t_ops, t_wrt)
+  CALL histdef(fileid, 'dnwd', '', '', nbp_lon, jj_nb, nhoriid, &
+       nbp_lev, 1, nbp_lev, zvertiid, 32, 'inst(X)', t_ops, t_wrt)
 
 ! phi
-  DO k=1,llm
+  DO k=1,nbp_lev
      IF (k<10) THEN
         WRITE(nvar,'(i1)') k
@@ -206,6 +196,6 @@
      nvar='phi_lev'//trim(nvar)
      
-     CALL histdef(fileid, nvar, '', '', iim, jj_nb, nhoriid, &
-          llm, 1, llm, zvertiid, 32, 'inst(X)', t_ops, t_wrt)
+     CALL histdef(fileid, nvar, '', '', nbp_lon, jj_nb, nhoriid, &
+          nbp_lev, 1, nbp_lev, zvertiid, 32, 'inst(X)', t_ops, t_wrt)
   END DO
 
Index: /LMDZ5/branches/testing/libf/phylmd/initrrnpb.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/initrrnpb.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/initrrnpb.F90	(revision 2408)
@@ -4,5 +4,5 @@
 SUBROUTINE  initrrnpb(ftsol,pctsrf,masktr,fshtr,hsoltr,tautr,vdeptr,scavtr)
   USE dimphy
-  USE infotrac, ONLY : nbtr
+  USE infotrac_phy, ONLY : nbtr
   USE traclmdz_mod, ONLY : id_rn, id_pb
   USE indice_sol_mod
